# External Script SRI

## Introduction
The **External Script SRI** module allows site administrators to add external JavaScript library paths with Subresource Integrity (SRI) hashes and the crossorigin attribute. This improves the security of third-party scripts by verifying their integrity before execution.

## Features
- **Dynamic Configuration Form:** Manage multiple external JavaScript libraries in a single form.
- **SRI Hash Support:** Add integrity checks for JavaScript files.
- **Crossorigin Attribute:** Configure the appropriate crossorigin attribute for scripts.
- **Sensitive Marking:** Optionally mark libraries as sensitive for additional attention.

## Installation
1. Download and install the module as you would with any Drupal module.
2. Enable the module through the **Extend** page in the Drupal admin interface.

## Configuration
1. Navigate to the configuration page under **Configuration > External Script SRI**.
2. Use the provided form to:
   - Add the module name and library name.
   - Enter the JavaScript file URL.
   - Generate and input the SRI hash (use [SRI Hash Generator](https://www.srihash.org/)).
   - Optionally mark the library as sensitive.
   - Set the crossorigin attribute.
3. Save the configuration to apply the changes.

## Dependencies
- **Drupal Core:** Version 9 or higher.

## Use Cases
- Securing third-party scripts by verifying their integrity.
- Managing external JavaScript libraries in a centralized way.
- Ensuring compliance with strict security standards.

## Post-Installation
After configuration, the specified external JavaScript libraries will be loaded with the provided SRI hashes and crossorigin attributes, ensuring their integrity and security.